# Uses of Interface
com.sun.source.tree.CompilationUnitTree

Packages that use CompilationUnitTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of CompilationUnitTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type CompilationUnitTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitCompilationUnit(CompilationUnitTree node, P p)`
Visits a `CompilationUnitTree` node.

## Uses of CompilationUnitTree in com.sun.source.util

Methods in com.sun.source.util that return CompilationUnitTree
Modifier and Type
Method
Description
`CompilationUnitTree`
TaskEvent.`getCompilationUnit()`
Returns the compilation unit for this event.
`CompilationUnitTree`
TreePath.`getCompilationUnit()`
Returns the compilation unit associated with this path.
Methods in com.sun.source.util that return types with arguments of type CompilationUnitTree
Modifier and Type
Method
Description
`abstract Iterable<? extends CompilationUnitTree>`
JavacTask.`parse()`
Parses the specified files returning a list of abstract syntax trees.
Methods in com.sun.source.util with parameters of type CompilationUnitTree
Modifier and Type
Method
Description
`long`
DocSourcePositions.`getEndPosition(CompilationUnitTree file, DocCommentTree comment, DocTree tree)`
Returns the ending position of the tree within the comment within the file.
`long`
SourcePositions.`getEndPosition(CompilationUnitTree file, Tree tree)`
Returns the ending position of tree within file.
`static TreePath`
TreePath.`getPath(CompilationUnitTree unit, Tree target)`
Returns a tree path for a tree node within a compilation unit, or `null` if the node is not found.
`abstract TreePath`
Trees.`getPath(CompilationUnitTree unit, Tree node)`
Returns the path to tree node within the specified compilation unit.
`long`
DocSourcePositions.`getStartPosition(CompilationUnitTree file, DocCommentTree comment, DocTree tree)`
Returns the starting position of the tree within the comment within the file.
`long`
SourcePositions.`getStartPosition(CompilationUnitTree file, Tree tree)`
Returns the starting position of tree within file.
`abstract void`
DocTrees.`printMessage(Diagnostic.Kind kind, CharSequence msg, DocTree t, DocCommentTree c, CompilationUnitTree root)`
Prints a message of the specified kind at the location of the tree within the provided compilation unit.
`abstract void`
Trees.`printMessage(Diagnostic.Kind kind, CharSequence msg, Tree t, CompilationUnitTree root)`
Prints a message of the specified kind at the location of the tree within the provided compilation unit
`R`
SimpleTreeVisitor.`visitCompilationUnit(CompilationUnitTree node, P p)`
Visits a `CompilationUnitTree` node.
`R`
TreeScanner.`visitCompilationUnit(CompilationUnitTree node, P p)`
Visits a `CompilationUnitTree` node.
Constructors in com.sun.source.util with parameters of type CompilationUnitTree
Modifier
Constructor
Description
``
`TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit)`
Creates a task event for a given kind and compilation unit.
``
`TaskEvent(TaskEvent.Kind kind, CompilationUnitTree unit, TypeElement clazz)`
Creates a task event for a given kind, compilation unit and type element.
``
`TreePath(CompilationUnitTree node)`
Creates a TreePath for a root node.